#include "partition.h"
#include <algorithm>
#include <cstdlib>
#include <iostream>
#include <unordered_map>
using namespace std;

vector<int> freq(1000005);
std::vector<int> solve(std::vector<int> A) {
	if (A.size() == 1) {
		return {0};
	}
	vector<int> ans;
	for (int i = 1; i < A.size() / 2; i++) {
		ans.push_back(i - 1);
	}
	ans.push_back(A.size() - 1);
	for (int i = A.size() / 2; i < A.size(); i++) {
		ans.push_back(i - 1);
	}
	return ans;
}
